%global modulename pacote

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-pacote
Version:        8.1.6
Release:        1%{?dist}
Summary:        JavaScript package downloader

License:        MIT
URL:            https://github.com/zkat/pacote#readme
Source0:        https://registry.npmjs.org/pacote/-/pacote-8.1.6.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(bluebird) >= 3.5.1 with npmlib(bluebird) < 4.0.0))
BuildRequires:  ((npmlib(cacache) >= 11.0.2 with npmlib(cacache) < 12.0.0))
BuildRequires:  ((npmlib(get-stream) >= 3.0.0 with npmlib(get-stream) < 4.0.0))
BuildRequires:  ((npmlib(glob) >= 7.1.2 with npmlib(glob) < 8.0.0))
BuildRequires:  ((npmlib(lru-cache) >= 4.1.3 with npmlib(lru-cache) < 5.0.0))
BuildRequires:  ((npmlib(make-fetch-happen) >= 4.0.1 with npmlib(make-fetch-happen) < 5.0.0))
BuildRequires:  ((npmlib(minimatch) >= 3.0.4 with npmlib(minimatch) < 4.0.0))
BuildRequires:  ((npmlib(minipass) >= 2.3.3 with npmlib(minipass) < 3.0.0))
BuildRequires:  ((npmlib(mississippi) >= 3.0.0 with npmlib(mississippi) < 4.0.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.1 with npmlib(mkdirp) < 0.6.0))
BuildRequires:  ((npmlib(normalize-package-data) >= 2.4.0 with npmlib(normalize-package-data) < 3.0.0))
BuildRequires:  ((npmlib(npm-package-arg) >= 6.1.0 with npmlib(npm-package-arg) < 7.0.0))
BuildRequires:  ((npmlib(npm-packlist) >= 1.1.10 with npmlib(npm-packlist) < 2.0.0))
BuildRequires:  ((npmlib(npm-pick-manifest) >= 2.1.0 with npmlib(npm-pick-manifest) < 3.0.0))
BuildRequires:  ((npmlib(osenv) >= 0.1.5 with npmlib(osenv) < 0.2.0))
BuildRequires:  ((npmlib(promise-inflight) >= 1.0.1 with npmlib(promise-inflight) < 2.0.0))
BuildRequires:  ((npmlib(promise-retry) >= 1.1.1 with npmlib(promise-retry) < 2.0.0))
BuildRequires:  ((npmlib(protoduck) >= 5.0.0 with npmlib(protoduck) < 6.0.0))
BuildRequires:  ((npmlib(rimraf) >= 2.6.2 with npmlib(rimraf) < 3.0.0))
BuildRequires:  ((npmlib(safe-buffer) >= 5.1.2 with npmlib(safe-buffer) < 6.0.0))
BuildRequires:  ((npmlib(semver) >= 5.5.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(ssri) >= 6.0.0 with npmlib(ssri) < 7.0.0))
BuildRequires:  ((npmlib(tar) >= 4.4.3 with npmlib(tar) < 5.0.0))
BuildRequires:  ((npmlib(unique-filename) >= 1.1.0 with npmlib(unique-filename) < 2.0.0))
BuildRequires:  ((npmlib(which) >= 1.3.0 with npmlib(which) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
JavaScript package downloader

%package 8.1.6
Summary:        JavaScript package downloader


%description 8.1.6
JavaScript package downloader

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr extract.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr manifest.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr prefetch.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tarball.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 8.1.6
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Sat Nov 17 2018 npm2srpm <dshea@redhat.com> - 8.1.6-1
- Package automatically generated by npm2srpm
